#ifndef CCONNECTION_H
#define CCONNECTION_H

#include <string>

#ifdef _WIN32
   #include <winsock.h>
#else
   #include <unistd.h>
   #define SOCKET int
   #define closesocket close
#endif

class cconnection
{
 private:
   SOCKET s;
   std::string rb,sb;
   int id;

 public:
   SOCKET get_s();
   std::string* get_rb();
   std::string* get_sb();
   int get_id();
   void create(SOCKET as,int n);
   void destroy();
};

#endif
